Bug 164832 - upgrade multimedia/qmmp to 0.5.3
Summary: upgrade multimedia/qmmp to 0.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-06 21:50 UTC by RyōTa SimaMoto
Modified: 2012-03-01 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.46 KB, patch)
2012-02-06 21:50 UTC, RyōTa SimaMoto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description RyōTa SimaMoto 2012-02-06 21:50:09 UTC
Welcome QMMP version 0.5.3!

New features:
    * Sony Media Wave 64 (W64) support through sndfile Input plugin
    * FFmpeg version 0.9.1 support, so you can also use multimedia/ffmpeg-devel
      instead of multimedia/ffmpeg (see FFMPEG option in Makefile)
    * Several bug fixes


This upgrade requires the latest version of audio/wildmidi (PR at ports#163124)

Fix: Patch attached with submission follows:
Comment 1 Chris Rees freebsd_committer 2012-02-07 07:44:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 Chris Rees freebsd_committer 2012-02-07 17:55:15 UTC
State Changed
From-To: open->feedback

Hm, I think that the patch at 
http://www.bayofrum.net/~crees/patches/qmmp-ffmpeg.diff should handle 
ffmpeg dependencies more gracefully.  Thoughts?
Comment 3 RyōTa SimaMoto 2012-02-07 21:13:46 UTC
Oh yes.  This must be the smartest way, as well as very clear!
I like it.  Would you mind to commit the patch you solved?
(As you know it needs upgrading audio/wildmidi beforehand.)
Thank you.


2012/2/8, crees@freebsd.org <crees@freebsd.org>:
> Synopsis: upgrade multimedia/qmmp to 0.5.3
>
> State-Changed-From-To: open->feedback
> State-Changed-By: crees
> State-Changed-When: Tue Feb 7 17:55:15 UTC 2012
> State-Changed-Why:
> Hm, I think that the patch at
> http://www.bayofrum.net/~crees/patches/qmmp-ffmpeg.diff should handle
> ffmpeg dependencies more gracefully.  Thoughts?
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=164832
>


-=-=-=-=-=
SimaMoto,RyoTa <liangtai.s4@gmail.com>
Comment 4 Pav Lucistnik freebsd_committer 2012-02-26 22:34:38 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 5 Ry&#333;Ta SimaMoto 2012-02-29 08:09:44 UTC
QMMP upstream has released the latest version 0.5.4.

Here's an additional patch for upgrading QMMP to version 0.5.4
 http://www.geocities.jp/ss2pxd1c/qmmp053054.diff.bz2
(sorry, it isn't generated by CVS) to be used after applying your nice patc=
h
> http://www.bayofrum.net/~crees/patches/qmmp-ffmpeg.diff
toword the version 0.5.3 with some modification on the recent revision.

Beside of this, I made a shortcut patch to upgrade QMMP from the current
ports tree version 0.5.2_3 to the latest version 0.5.4.
 http://www.geocities.jp/ss2pxd1c/qmmp052054.diff.bz2


-=3D-=3D-=3D-=3D-=3D
SimaMoto,Ry=C5=8DTa <liangtai.s4@gmail.com>
Comment 6 Chris Rees freebsd_committer 2012-02-29 19:59:48 UTC
State Changed
From-To: open->analyzed

Taken for Tinderbox run 
http://www.bayofrum.net/tb/index.php?action=describe_port&id=888
Comment 7 Chris Rees freebsd_committer 2012-03-01 21:27:49 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2012-03-01 21:35:09 UTC
crees       2012-03-01 21:27:36 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/qmmp      Makefile distinfo pkg-descr pkg-plist 
  Log:
  Update to 0.5.4
  
  PR:             ports/164832
  Submitted by:   RyoTa SimaMoto <liangtai.s4@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.7       +15 -13    ports/multimedia/qmmp/Makefile
  1.3       +2 -2      ports/multimedia/qmmp/distinfo
  1.3       +7 -7      ports/multimedia/qmmp/pkg-descr
  1.3       +2 -2      ports/multimedia/qmmp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"